summaryrefslogtreecommitdiffstats
path: root/urpmf
diff options
context:
space:
mode:
authorPascal Rigaux <pixel@mandriva.com>2000-01-04 00:02:06 +0000
committerPascal Rigaux <pixel@mandriva.com>2000-01-04 00:02:06 +0000
commitf041fbb500d8d8e272e72a87feccb8d8843f1204 (patch)
treecdbf97b370fbdcfe58f300cc79e55b84100289f7 /urpmf
parent02378b711e6754e6946fd9cf1e1706aaeb20e749 (diff)
downloadurpmi-f041fbb500d8d8e272e72a87feccb8d8843f1204.tar
urpmi-f041fbb500d8d8e272e72a87feccb8d8843f1204.tar.gz
urpmi-f041fbb500d8d8e272e72a87feccb8d8843f1204.tar.bz2
urpmi-f041fbb500d8d8e272e72a87feccb8d8843f1204.tar.xz
urpmi-f041fbb500d8d8e272e72a87feccb8d8843f1204.zip
no_comment
Diffstat (limited to 'urpmf')
-rwxr-xr-xurpmf19
1 files changed, 19 insertions, 0 deletions
diff --git a/urpmf b/urpmf
new file mode 100755
index 00000000..9263537f
--- /dev/null
+++ b/urpmf
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ "$#" -gt 1 ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
+ echo "usage: rpmf [<file>]"
+ exit 1
+fi
+
+hdlist="/var/lib/urpmi/hdlist.*.gz"
+
+if ! ls $hdlist >/dev/null 2>/dev/null; then
+ echo "urpmi is not installed"
+ exit 1
+fi
+
+if [ -z "$1" ]; then
+ gzip -dc $hdlist | hdlist2files -
+else
+ gzip -dc $hdlist | hdlist2files - | grep $1
+fi